#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 primitive-extras
version:              0.10.1.7
visibility:           public
id:                   primitive-extras-0.10.1.7-2JXp9zLgb6LBQLWtGsDSIo
key:                  primitive-extras-0.10.1.7-2JXp9zLgb6LBQLWtGsDSIo
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Metrix.AI Tech Team <tech@metrix.ai>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/metrix-ai/primitive-extras
synopsis:             Extras for the "primitive" library
category:             Primitive
abi:                  7da60322d313b4d6d986cf7ff591eb47
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.Prelude PrimitiveExtras.Types PrimitiveExtras.Folds
    PrimitiveExtras.FoldMs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/primitive-extras-0.10.1.7
library-dirs:         /usr/lib/ghc-9.0.2/site-local/primitive-extras-0.10.1.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.1.7-2JXp9zLgb6LBQLWtGsDSIo
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    cereal-0.5.8.3-KCibhvvTsuv86wVgcPkD6
    deferred-folds-0.9.18.3-6tnDMkkH6QMGKYMMkiR9Pr
    focus-1.0.3.1-9lMjQmEzpi8DkHbIy50AZE
    foldl-1.4.15-J2weECpq8b6IYZicRb5Ba
    list-t-1.0.5.4-IDEN3pFNRPWD83XoREpOs9
    primitive-0.7.4.0-8SmDsFCxSqgE7BzeiM7pZ4
    primitive-unlifted-0.1.3.1-2o2DLZLwc64FSfhC3H41jt
    profunctors-5.6.2-Gl8Vzdu7hPbERin5waK4WF
    vector-0.13.0.0-HZxUYbi5cfB4SV8TkUpCM2

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

